## EBookView

EBookView

## Functions

struct _EBook * | e_book_view_get_book ()
void | e_book_view_start ()
void | e_book_view_stop ()

## Signals

void | contacts-added | Run Last
void | contacts-changed | Run Last
void | contacts-removed | Run Last
void | sequence-complete | Run Last
void | status-message | Run Last
void | view-complete | Run Last

## Types and Values

struct | EBookView
struct | EBookViewClass

## Object Hierarchy

        GObject
        ╰── EBookView

## Description

## Functions

### e_book_view_get_book ()

    struct _EBook *
    e_book_view_get_book (EBookView *book_view);

`e_book_view_get_book` is deprecated and should not be used in newly-written code.

Returns the EBook that this book view is monitoring.

#### Parameters

book_view | an EBookView |

#### Returns

an EBook.

[transfer none]

Since: 2.22

### e_book_view_start ()

    void
    e_book_view_start (EBookView *book_view);

`e_book_view_start` is deprecated and should not be used in newly-written code.

Tells `book_view` to start processing events.

#### Parameters

book_view | an EBookView |

### e_book_view_stop ()

    void
    e_book_view_stop (EBookView *book_view);

`e_book_view_stop` is deprecated and should not be used in newly-written code.

Tells `book_view` to stop processing events.

#### Parameters

book_view | an EBookView |

## Types and Values

### struct EBookView

    struct EBookView;

`EBookView` has been deprecated since version 3.2 and should not be used in newly-written code.

Use EBookClientView instead.

### struct EBookViewClass

    struct EBookViewClass {
    	/* Signals */
    	void		(*contacts_changed) (EBookView *book_view,
    						 const GList *contacts);
    	void		(*contacts_removed) (EBookView *book_view,
    						 const GList *ids);
    	void		(*contacts_added) (EBookView *book_view,
    						 const GList *contacts);
    	void		(*sequence_complete) (EBookView *book_view,
    						 EBookViewStatus status);
    	void		(*view_complete) (EBookView *book_view,
    						 EBookViewStatus status,
    						 const gchar *error_msg);
    	void		(*status_message) (EBookView *book_view,
    						 const gchar *message);
    };

`EBookViewClass` has been deprecated since version 3.2 and should not be used in newly-written code.

Use EBookClientView instead.

#### Members

`contacts_changed` () | Signal emitted when contacts in the view are modified |
`contacts_removed` () | Signal emitted when contacts are removed from the view |
`contacts_added` () | Signal emitted when contacts are added in the view |
`sequence_complete` () | Notification that loading a view has completed, after calling `e_book_view_start()` |
`view_complete` () | Notification that loading a view has completed, after calling `e_book_view_start()` |
`status_message` () | Signal emitted intermittently while loading a view after calling `e_book_view_start()` |

## Signal Details

### The `“contacts-added”` signal

    void
    user_function (EBookView *ebookview,
                   gpointer   arg1,
                   gpointer   user_data)

Flags: Run Last

### The `“contacts-changed”` signal

    void
    user_function (EBookView *ebookview,
                   gpointer   arg1,
                   gpointer   user_data)

Flags: Run Last

### The `“contacts-removed”` signal

    void
    user_function (EBookView *ebookview,
                   gpointer   arg1,
                   gpointer   user_data)

Flags: Run Last

### The `“sequence-complete”` signal

    void
    user_function (EBookView *ebookview,
                   guint      arg1,
                   gpointer   user_data)

Flags: Run Last

### The `“status-message”` signal

    void
    user_function (EBookView *ebookview,
                   char      *arg1,
                   gpointer   user_data)

Flags: Run Last

### The `“view-complete”` signal

    void
    user_function (EBookView *ebookview,
                   guint      arg1,
                   char      *arg2,
                   gpointer   user_data)

Flags: Run Last